package org.springblade.modules.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springblade.core.mp.base.BaseService;
import org.springblade.modules.entity.CyryEntity;
import org.springblade.modules.entity.SyryEntity;
import org.springblade.modules.vo.*;

import java.util.List;
import java.util.Map;

public interface SyryService extends BaseService<SyryEntity> {
	IPage<SyryEntity> getFwry(IPage<SyryEntity> page, Map<String, Object> params);

	CzrkVO fwryCzrkDetail(SyryEntity syryEntity);

	JwrkVO fwryJwrkDetail(SyryEntity syryEntity);

	JzrkVO fwryJzrkDetail(SyryEntity syryEntity);

	WlrkVO fwryWlrkDetail(SyryEntity syryEntity);

	ZzrkVO fwryZzrkDetail(SyryEntity syryEntity);

	String selectDictBiz(String tsrq);

	UserVO djxx(Long id);

    void updateFwId(Long fwId, String dzbm, String ryType, Long ryId);

	CzrkVO cyryCzrkDetail(String gmsfhm, Long id);

	JwrkVO cyryJwrkDetail(String gmsfhm, Long id);

	JzrkVO cyryJzrkDetail(String gmsfhm, Long id);

	WlrkVO cyryWlrkDetail(String gmsfhm, Long id);

	ZzrkVO cyryZzrkDetail(String gmsfhm, Long id);

	CzrkVO cyrylsCzrkDetail(String gmsfhm, String dzbm);

	JwrkVO cyrylsJwrkDetail(String gmsfhm, String dzbm);

	JzrkVO cyrylsJzrkDetail(String gmsfhm, String dzbm);

	WlrkVO cyrylsWlrkDetail(String gmsfhm, String dzbm);

	ZzrkVO cyrylsZzrkDetail(String gmsfhm, String dzbm);

	CyryEntity cyryDetail(String gmsfhm, Long id);

	List<SyryEntity> getMphxlhByLdphxlh(Map<String, Object> params);

	SyryEntity selectFwInfo(Map<String, Object> params, String dzbm);
}
